<!--{template 'head'}-->
<form method='post' name='myform' action='system.php?sys=module&action=move&mod={$mod}&channelid={$channelid}'>
<input type='hidden' name="myFormAc" value="update" />
 <table cellpadding="2" cellspacing="1" class="tableborder border mt5" id="move">
	<tr>
		<td class="tablerow" colspan=3 style="BACKGROUND-COLOR:#e0eef5;">
			<input type='radio' name='type' value='1' checked id="r_id" /><label for="r_id">指定{$channeltitle}ID：</label>
			<input type='text' id="r_id" name='id' value='' size='60' class="f-text" />
			多个ID之间用半角逗号 , 隔开
		</td>
	</tr>
	<tr>
		<td class="tablerow" colspan=3 style="BACKGROUND-COLOR:#e0eef5;">
			<input type='radio' name='type' value='2' id="r_cid" /><label for="r_cid">指定栏目的{$channeltitle}：</label>(<font color=red>指定栏目若有子栏目,则此栏目的子栏目的所有{$channeltitle}将都被移动</font>)
		</td>
	</tr>
	<tr>
		<td class="tablerow" align="right">
			<select name='fcid[]' size='2' multiple style='height:300px;width:350px;'>
			{$strall}
			</select>
		</td>
		<td align=center class="tablerow">移动到>> </td>
		<td class="tablerow">
			<select name='tcid' size='2'  id='tcid' style='height:300px;width:350px;' onchange="return disabledTcid();">
			<option value='0'>选择目标栏目</option>
			{$strall}
			</select>
		</td>
	</tr>
	<tr align=center>
			<td class="tablerowl" colspan=3><input name='submit' type='submit'  id='submit' value='确定移动{$channeltitle}' class="f-button" / ></td>
	</tr>
</table>
</form>
<script type="text/javascript">
var lastSelectIndex = 0;
function disabledTcid()
{
	var obj = $('tcid');
	var valueArray = new Array();
	var index      = obj.selectedIndex;
	valueArray = obj.options[index].value.split('-');
	if ( parseInt( valueArray[1]) == 1)
	{
		alert('此栏目存在子栏目,所以不能成为目标栏目');
		obj.options[lastSelectIndex].selected = true;
		return false;
	}
	else
	{
		lastSelectIndex = index;
		return true;
	}
}
setSubject("批量移动{$channeltitle}");
</script>
<!--{template 'foot'}-->
